mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
* [ptxdist] [PATCH] ptxdist/create_docs: Fix invocation warning of cp
@ 2024-02-29  6:11 Thorsten Scherer
  2024-03-07 16:10 ` Michael Olbrich
  0 siblings, 1 reply; 2+ messages in thread
From: Thorsten Scherer @ 2024-02-29  6:11 UTC (permalink / raw)
  To: ptxdist; +Cc: Thorsten Scherer

On debian trixie cp (coreutils 9.4-3) advises to use --update=none
instead of -n.

    cp: warning: behavior of -n is non-portable and may change in future; use --update=none instead

Follow this advise.

Signed-off-by: Thorsten Scherer <t.scherer@eckelmann.de>
---
 bin/ptxdist | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/ptxdist b/bin/ptxdist
index bb30a738eaab..ff47075db88f 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1037,7 +1037,7 @@ create_docs() {
 	ptxd_in_path PTXDIST_PATH doc &&
 	for dir in "${ptxd_reply[@]}"; do
 		for entry in $(cd "${dir}"; ls); do
-			cp -an "${dir}/${entry}" "${srcdir}/" || return
+			cp -a --update=none "${dir}/${entry}" "${srcdir}/" || return
 		done
 	done &&
 	check_virtualenv &&
-- 
2.43.0




^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [ptxdist] [PATCH] ptxdist/create_docs: Fix invocation warning of cp
  2024-02-29  6:11 [ptxdist] [PATCH] ptxdist/create_docs: Fix invocation warning of cp Thorsten Scherer
@ 2024-03-07 16:10 ` Michael Olbrich
  0 siblings, 0 replies; 2+ messages in thread
From: Michael Olbrich @ 2024-03-07 16:10 UTC (permalink / raw)
  To: Thorsten Scherer; +Cc: ptxdist

On Thu, Feb 29, 2024 at 07:11:07AM +0100, Thorsten Scherer wrote:
> On debian trixie cp (coreutils 9.4-3) advises to use --update=none
> instead of -n.
> 
>     cp: warning: behavior of -n is non-portable and may change in future; use --update=none instead
> 
> Follow this advise.
> 
> Signed-off-by: Thorsten Scherer <t.scherer@eckelmann.de>
> ---
>  bin/ptxdist | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/bin/ptxdist b/bin/ptxdist
> index bb30a738eaab..ff47075db88f 100755
> --- a/bin/ptxdist
> +++ b/bin/ptxdist
> @@ -1037,7 +1037,7 @@ create_docs() {
>  	ptxd_in_path PTXDIST_PATH doc &&
>  	for dir in "${ptxd_reply[@]}"; do
>  		for entry in $(cd "${dir}"; ls); do
> -			cp -an "${dir}/${entry}" "${srcdir}/" || return
> +			cp -a --update=none "${dir}/${entry}" "${srcdir}/" || return

This does not work with older versions of 'cp' :-/.

Michael

>  		done
>  	done &&
>  	check_virtualenv &&
> -- 
> 2.43.0
> 
> 
> 

-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |



^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-03-07 16:10 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-02-29  6:11 [ptxdist] [PATCH] ptxdist/create_docs: Fix invocation warning of cp Thorsten Scherer
2024-03-07 16:10 ` Michael Olbrich

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox